import { BaseEventHandler } from "./BaseEventHandler";
export declare class Consumer {
    private pulsarMasterFactory;
    consume(topic: string, version: string, baseEventHandler: BaseEventHandler): Promise<void>;
    consumeFromMaster(topic: string, version: string, baseEventHandler: BaseEventHandler): Promise<void>;
}
